<?php
/*
 /////////////////// DISCLAIMER ///////////////////////////
 THIS EXAMPLE CODE IS PROVIDED TO YOU ONLY ON AN "AS IS"
 BASIS WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION
 ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT,
 MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
 PAYPAL MAKES NO WARRANTY THAT THE SOFTWARE OR
 DOCUMENTATION WILL BE ERROR-FREE. IN NO EVENT SHALL THE
 COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 ////////////////////////////////////////////////////////////
 */
//Start the PHP session
session_start();

//Print all errors
error_reporting(E_ALL);
ini_set("display_errors", 1);

// echo "<pre>";
// print_r($_GET);
// echo "</pre>";

$PayerID = $_GET['PayerID'];
$paymentId = $_GET['paymentId'];

//Initiate CURL
$ch = curl_init();

//Get endpoint url from session data and pass it
//$url = $_SESSION['data']['links'][0]['href'];
//echo "URL: " . $url;
curl_setopt($ch, CURLOPT_URL, "https://api.sandbox.paypal.com/v1/payments/payment/$paymentId/execute");

curl_setopt($ch, CURLOPT_SSLVERSION, CURL_SSLVERSION_TLSv1_2);

//Should to be set to true for security
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
//Should be set to 2 for security
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);

//Cert can be generated through mozilla firefox and is used when implementing security for VERIFYPEER and VERIFYHOST in the above
//curl_setopt($ch, CURLOPT_CAINFO, '/var/www/html/Example_REST_ECS/cert/cacert.pem');

//Set the user and password
curl_setopt($ch, CURLOPT_USERPWD, 'Ae13ZF7V6Oun8VJyrd8kVdVvV6zX0FgYW4L92ckklHjAnOuJWLHJ7u8sNsf05u4-p1B9EW4WWe6K-LjD:EO70oBTFcNEP_EmJpCXN1Wfy80ie2brFKqEmahCVK2KbuycnyDE-pvlnJCqNxNa9BMXg4HzRZUjIGlW_');

//Set the required headers
$headers = array(
    'Accept: application/json',
    'Content-Type: application/json',
    'Accept-Language: en_US'
);
curl_setopt($ch,CURLOPT_HTTPHEADER,$headers);

//Lets curl know we are using 'post' and not 'get' (false = 'get')
curl_setopt($ch, CURLOPT_POST, TRUE);

//Keep connection open until we get data back
curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);

$vars['payer_id'] = $PayerID;

$json = json_encode($vars);

curl_setopt($ch, CURLOPT_POSTFIELDS, $json);

$response = curl_exec($ch);

$outArray = json_decode($response, true);

echo "<pre>";
print_r($outArray);
echo "</pre>";

$id = $outArray['id'];

$httpcode = curl_getinfo($ch, CURLINFO_HTTP_CODE);

curl_close($ch);

if($httpcode = 200 && $id != null)
	{
		echo 'Congratulations!!! Your purchase was successful!';
		echo '<br><br>';
		echo"<a href='http://localhost/Sample_REST_PayPal_Plus/index.php'>return to store</a>";
	}
else
	{
		echo 'Sorry transaction failed, please return to the store and try again';
		echo '<br><br>';
		echo"<a href='http://localhost/Sample_REST_PayPal_Plus/index.php'>return to store</a>";
	}